Lucene search

K
ubuntuUbuntuUSN-4998-1
HistoryJun 25, 2021 - 12:00 a.m.

Ceph vulnerabilities

2021-06-2500:00:00
ubuntu.com
164

CVSS2

6.5

Attack Vector

NETWORK

Attack Complexity

LOW

Authentication

SINGLE

Confidentiality Impact

PARTIAL

Integrity Impact

PARTIAL

Availability Impact

PARTIAL

AV:N/AC:L/Au:S/C:P/I:P/A:P

CVSS3

7.2

Attack Vector

NETWORK

Attack Complexity

LOW

Privileges Required

HIGH

User Interaction

NONE

Scope

UNCHANGED

Confidentiality Impact

HIGH

Integrity Impact

HIGH

Availability Impact

HIGH

CVSS:3.1/AV:N/AC:L/PR:H/UI:N/S:U/C:H/I:H/A:H

AI Score

7.1

Confidence

High

EPSS

0.007

Percentile

80.8%

Releases

  • Ubuntu 20.10
  • Ubuntu 20.04 LTS

Packages

  • ceph - distributed storage and file system

Details

It was discovered that in some situations Ceph logged passwords from the
mgr module in clear text. An attacker could use this to expose sensitive
information. (CVE-2020-25678)

Goutham Pacha Ravi, Jahson Babel, and John Garbutt discovered that user
credentials in Ceph could be manipulated in certain environments. An
attacker could use this to gain unintended access. (CVE-2020-27781)

It was discovered that the Ceph dashboard was susceptible to a cross-site
scripting attack. An attacker could use this to expose sensitive
information or gain unintended access. (CVE-2020-27839)

It was discovered that Ceph contained an authentication flaw, leading to
key reuse. An attacker could use this to cause a denial of service or
possibly impersonate another user. (CVE-2021-20288)

Sergey Bobrov discovered that the Ceph dashboard was susceptible to a
cross-site scripting attack. An attacker could use this to expose sensitive
information or gain unintended access. (CVE-2021-3509)

Sergey Bobrov discovered that Ceph’s RadosGW (Ceph Object Gateway) allowed
the injection of HTTP headers in responses to CORS requests. An attacker
could use this to violate system integrity. (CVE-2021-3524)

It was discovered that Ceph’s RadosGW (Ceph Object Gateway) did not
properly handle GET requests for swift URLs in some situations, leading to
an application crash. An attacker could use this to cause a denial of
service. (CVE-2021-3531)

OSVersionArchitecturePackageVersionFilename
Ubuntu20.10noarchceph-mgr-modules-core< 15.2.12-0ubuntu0.20.10.1UNKNOWN
Ubuntu20.10noarchceph< 15.2.12-0ubuntu0.20.10.1UNKNOWN
Ubuntu20.10noarchceph-base< 15.2.12-0ubuntu0.20.10.1UNKNOWN
Ubuntu20.10noarchceph-base-dbgsym< 15.2.12-0ubuntu0.20.10.1UNKNOWN
Ubuntu20.10noarchceph-common< 15.2.12-0ubuntu0.20.10.1UNKNOWN
Ubuntu20.10noarchceph-common-dbgsym< 15.2.12-0ubuntu0.20.10.1UNKNOWN
Ubuntu20.10noarchceph-fuse< 15.2.12-0ubuntu0.20.10.1UNKNOWN
Ubuntu20.10noarchceph-fuse-dbgsym< 15.2.12-0ubuntu0.20.10.1UNKNOWN
Ubuntu20.10noarchceph-immutable-object-cache< 15.2.12-0ubuntu0.20.10.1UNKNOWN
Ubuntu20.10noarchceph-immutable-object-cache-dbgsym< 15.2.12-0ubuntu0.20.10.1UNKNOWN
Rows per page:
1-10 of 1341

CVSS2

6.5

Attack Vector

NETWORK

Attack Complexity

LOW

Authentication

SINGLE

Confidentiality Impact

PARTIAL

Integrity Impact

PARTIAL

Availability Impact

PARTIAL

AV:N/AC:L/Au:S/C:P/I:P/A:P

CVSS3

7.2

Attack Vector

NETWORK

Attack Complexity

LOW

Privileges Required

HIGH

User Interaction

NONE

Scope

UNCHANGED

Confidentiality Impact

HIGH

Integrity Impact

HIGH

Availability Impact

HIGH

CVSS:3.1/AV:N/AC:L/PR:H/UI:N/S:U/C:H/I:H/A:H

AI Score

7.1

Confidence

High

EPSS

0.007

Percentile

80.8%